<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
include ('../inc/cartfunctions.php');
if(isset($_SESSION["axeslogin"]) && $_SESSION["axeslogin"] == true){
$_SESSION['cuPages']='ser_receivelist.php';   
$cuPage='ser_receivelist.php';    
$aid=$_SESSION['uid'];
$brid=$_SESSION['abrid'];     
}else{
header('Location:../index.php');
exit;    
}
$mhead='sevice';
$menuh='Service';
$phead='serrevlist';
$page='Service Received List';
$dtnow = date("Y-m-d h:i:s", time());
$today = strftime("%Y-%m-%d", time());
?>

<?php

if(isset($_POST['tfdate'])){
$fdate=$_POST['tfdate'];	
}else{
$fdate=date('Y-m-d', strtotime('-15 days', time()));	
}
if(isset($_POST['ttdate'])){
$tdate=$_POST['ttdate'];	
}else{
$tdate=$today;	
}



if(isset($_POST['delsel'])){
$id=$_POST['delsel'];

$sql="SELECT * FROM tbl_serreceive WHERE id='$id' LIMIT 1";
$dsales=mysqli_query($con,$sql) or die(mysqli_error($con));    
$dsel=mysqli_fetch_array($dsales);     

$invno=$dsel['invoice_no'];

$sql1="SELECT * FROM tbl_sersales WHERE srid='$id'";    
$query1=mysqli_query($con,$sql1)or die(mysqli_error($con));
if($query1->num_rows > 0) {
    save_msg('w','Received Depend on others data!!!');
    echo "<script>window.location='ser_receivelist.php'</script>";
    return;  
}

    

// $sql="DELETE FROM tbl_trarecord WHERE invno='$invno'";
// mysqli_query($con,$sql)or die(mysqli_error($con));

// $sql="DELETE FROM tbl_sersalesde WHERE invno='$invno'";
// mysqli_query($con,$sql)or die(mysqli_error($con));    

$sql="DELETE FROM tbl_serreceive WHERE id='$id'";
$fdel=mysqli_query($con,$sql)or die(mysqli_error($con));    
$efid=mysqli_affected_rows($con);
if($efid>0){
$act =remove_junk(escape('Service Received invoice: '.$invno));    
write_activity($aid,'SER','Service Received has been deleted',$act);        
save_msg('s','Received Successfully Deleted!!!');
}else{
save_msg('s','Received Fail to Delete!!!');    
}    
    
echo "<script>window.location='ser_receivelist.php'</script>";    
}    
?>
<?php
include('../layout/head.php');
include('../layout/header.php');
include('../layout/side_nav.php');
?>

<div class="content-wrapper">
<?php include('../layout/page_head.php'); ?>
<!-- Main content -->
<section class="content">
<div class="row">
<div class="col-md-9">
<div class="box box-solid">
<div class="box-header with-border">
<h3 class="box-title">Service Receive Record</h3>
</div>
<div class="box-body">
<?php echo display_msg();?>    
<div class="col-md-12 table-responsive">
<table class="table table-bordered table-striped" id="datarec">
<thead>
<tr>
<th style="width:40px; text-align:center;">SN</th>   
<th>Date</th>
<th>Customer</th>
<th>Invoice</th>
<th>Phone</th>
<th>Product</th>
<th>Description</th>
<!--<th>Paid</th>
<th>Due</th>-->
<!-- <th>Note</th>     -->
<!--<th>Status</th>-->    
<th style="width:40px; text-align:center;">Action</th>    
</tr>
</thead>    
<tbody>   
<?php
$sql="SELECT * FROM tbl_serreceive WHERE date BETWEEN '$fdate' AND '$tdate' AND brid='$brid' ORDER BY date DESC,id DESC";    
$query=mysqli_query($con,$sql)or die(mysqli_error($con));
while ($row=mysqli_fetch_array($query)){
$invoice_no=$row['invoice_no'];  
?>
<tr>
<td class="text-center"><?php echo count_id();?></td>
<td><?php echo date("d M Y", strtotime($row['date']));?></td>      
<td><?php echo $row['cname'];?></td>
<td><?php echo $row['invoice_no'];?></td>    
<td><?php echo $row['cphone'];?></td>
<td><?php echo $row['pname'];?>-<?php echo $row['pmodel'];?></td> 
<td><?php echo $row['pdescription'];?></td>   
<!--<td style="text-align:right;"><?php //echo numtolocal(($row['adamo']+get_invcash($invno,'S')),get_fild_data('tbl_currency','1','symbol'));?></td>
<td style="text-align:right;"><?php //echo numtolocal(($row['total']-($row['adamo']+get_invcash($invno,'S'))),get_fild_data('tbl_currency','1','symbol'));?></td>-->
<!-- <td><?php echo $row['note'];?></td> -->
<!--<td class="text-center">
<?php //if($cashst<=0){ ?>
<span class="label label-success label-block">Paid</span>
<?php //}elseif($cashst>0 && $cashst<$row['total']){?>
<span class="label label-info label-block">Partially Paid</span>
<?php //}elseif($cashst>=$row['total']){?>
<span class="label label-danger label-block">Due</span>    
<?php //} ?>   
</td>-->    
<td nowrap="">
<a class="btn btn-flat bg-purple details-invoice" href="#" id="inv_<?php echo $row['id']?>"><i class="fa fa-eye cat-child"></i></a>    
<?php 
$id=$row['id'];
$ducode = mysqli_query($con,"SELECT * FROM tbl_sersales WHERE srid = '$id'");
if($ducode->num_rows < 1) {
?>
<a class="btn btn-flat bg-purple" href="ser_serinvcre.php?id=<?php echo $row["id"];?>"><i class="fa fa-exchange"></i></a>   
<?php }else{
    
} ?>
<a class="btn btn-flat bg-purple" href="#" onclick="remove_item('DL_<?php echo $row['id'];?>')"><i class="fa fa-trash"></i></a>
<form action="ser_receivelist.php" id="DL_<?php echo $row['id'];?>" method="post" >
<input type="hidden" name="delsel" value="<?php echo $row['id']; ?>" />
</form>
</td>    
</tr>    
<?php } ?>   
</tbody>   
</table>
</div>
<div class="clearfix" ></div>  
<div class="row"style="margin-top: 15px" >
<div class="col-md-12 table-responsive">    
<div class="col-md-8"></div>
<div class="col-md-4 text-right" >
<a href="ser_receivecreate.php" class="btn btn-flat bg-purple">Create Received</a>
</div>
</div>    
</div>    
</div>
</div>
</div>
<div class="col-md-3">
<div class="row">
<div class="col-md-12">
<div class="box box-solid">
<div class="box-header">
<!-- tools box -->
<div class="pull-right box-tools">
<a class=" pull-right" data-widget="collapse" style="margin-right: 5px;">
<i class="fa fa-minus"></i></a>
</div>
<!-- /. tools -->
<i class="fa fa-filter" aria-hidden="true"></i>    
<h3 class="box-title">Date Range Filter</h3>
</div>
<!-- /.box-header -->
<div class="box-body" >

<form action="#" enctype="multipart/form-data" method="post" accept-charset="utf-8">
<div class="col-md-12 popup_details_div">    
<div class="row">
<div class="col-md-12">
<div class="col-md-1"></div>
<div class="col-md-10">    

<div class="row">
<div class="col-md-6">
<div class="form-group">
<label>Date From</label>
<div class="input-group date datetimepicker">
<span class="input-group-addon"><i class="fa fa-calendar"></i></span>
<input type="text" name="tfdate" value="<?php if(isset($_POST['tfdate'])){echo $_POST['tfdate']; }else{echo date('Y-m-d', strtotime('-15 days', time()));} ?>"  class="form-control" placeholder="Date From" readonly="true">
</div>
</div>        
</div>
<div class="col-md-6">
<div class="form-group" >
<label>Date To</label>
<div class="input-group date datetimepicker">
<span class="input-group-addon"><i class="fa fa-calendar"></i></span>
<input type="text" name="ttdate" value="<?php if(isset($_POST['ttdate'])){echo $_POST['ttdate']; }else{echo $today;} ?>"  class="form-control" placeholder="Date To" readonly="true">
</div>    
</div>    
</div>    
</div>     
    
</div>   
<div class="col-md-1"></div>    
</div>    
</div>    
</div>
    
<div class="clearfix" ></div>
<div class="col-md-12 nopadding widgets_area"></div>    
<div class="row"style="margin-top: 15px" >
<div class="col-md-8"></div>
<div class="col-md-4 text-right" >
<input type="submit" name="date_filter" id="submit" class="btn btn-flat bg-purple btn-sm " value="Submit"/>
</div> 
</div>     
</form>    
    
</div>
</div>
</div>

</div>        
<div class="row">
<div class="col-md-12">
<div class="box box-solid">
<div class="box-header">
<h3 class="box-title">History </h3>
</div>
<!-- /.box-header -->
<div class="box-body" >
<?php if($_SESSION['access']=='1'){echo read_activity($aid,'SER','A');}else{echo read_activity($aid,'SER','U');}?>
</div>
</div>
</div>
</div>
</div>
</div>  

<?php include('../layout/print.php'); ?>  
<?php include('../layout/quick.php');?>    
</section>
<!-- /.main content -->
<?php include('../layout/rside.php'); ?> 

<div id="invdata" style="display: none;"></div>    
</div>
<?php
include('../layout/footer.php');
?>
<!-- page script -->
<script type="text/javascript">
$(document).ready(function() {
$('#datarec').DataTable({stateSave: true});
});
    
function take_action(id) {
document.getElementById(id).submit(); 
}
    
function remove_item(id) {
bootbox.confirm({
title: "Confirm",
message: "Are you sure to delete ?",
buttons: {
confirm: {
label: 'Yes',
className: 'btn-flat bg-purple'
},
cancel: {
label: 'Cancel',
className: 'btn-flat bg-gray'
}
},
callback: function (result) {
if (result == true) {
document.getElementById(id).submit();
}
}
});
}

function callPrintType(){
var ptype = $('#prtype').val();
invid = $("li.invpiv.active").attr('id');
inv = invid.split("_");

$.ajax({
url: 'ser_receiveview.php',
method: "POST",
data:{ 
print: inv[1], key: ptype 
},
beforeSend: function() {
//$("#invhold").fadeOut('slow');
},    
success: function(data){    
$('#invhold').html(data);
$("#invhold").fadeIn('slow');    
sethead();    
}
});   
}    
    
$(".details-invoice").click(function (e) {
id_arr = $(this).attr('id');
id = id_arr.split("_");

$.ajax({
url: 'ser_reviewlist.php',
method: "POST",
data:{ 
invid: id[1]
},
success: function(data){
$('#listitem').html(data);
pagelist();    
}
});    
    
$.ajax({
url: 'ser_receiveview.php',
method: "POST",
data:{ 
print: id[1], key: 'invonly'
},
success: function(data){
$('#invhold').html(data);
sethead();    
}
});
    
$('.right-side').toggle('slide', { direction: 'right' }, 300);    

e.preventDefault();
});

$(document).on('click', '#closepop', function() {
if($('.right-side').is(':visible')) { $('.right-side').toggle('slide', { direction: 'right' }, 300); }   
});    

$('#listitem').on('click','li', function(){
   $(this).addClass('active').siblings().removeClass('active');
});
    
$(document).on('click', '.invpiv', function() {
var ptype = $('#prtype').val();    
id_arr = $(this).attr('id');
id = id_arr.split("_");
var ids = id[1];
$.ajax({
url: 'ser_receiveview.php',
method: "POST",
data:{ 
print: ids, key: ptype
},
beforeSend: function() {
//$("#invhold").fadeOut('slow');
},    
success: function(data){    
$('#invhold').html(data);
$("#invhold").fadeIn('slow');    
sethead();    
}
});     
});
    
    
</script>      
<!-- /page script -->



</html>